# 38. Užklausa: gauti „NaudotojoDuomenis“

Gaukite įgalioto vartotojo „UserData“.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
užklausa getUserData {
  getUserData {
    uuid
    el. paštas
    bendraPlotas
    maksimalusPlotas
    plotoVientis
    kalba
    apiRaktas
    dirvožemioDuomenųRinkinioKlasėsKiekis
    organizacijos {
      uuid
      pavadinimas
      pavardė
      vardas
      el. paštas
      telefonas
      sukūrimoData
      updatedDate
      vartotojai {
        organizacijosUuid
        userUuid
        el. paštas
        visosŪkis
        sukūrimoData
        updatedDate
        ūkininkavimas {
          uuid
          userUuid
          pavadinimas
          sukūrimoData
          updatedDate
          farmOwnership
          el. paštas
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/38.-uzklausa-gauti-naudotojoduomenis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
